Bug 608351 - complete: error when bash starts
Summary: complete: error when bash starts
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bash-completion
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-26 22:30 UTC by Dave Jones
Modified: 2015-01-04 22:31 UTC (History)
3 users (show)

Fixed In Version: 1.2-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-29 16:48:43 UTC


Attachments (Terms of Use)

Description Dave Jones 2010-06-26 22:30:15 UTC
I have /etc/bash_completion being sourced in my ~/.bashrc
When I start a new shell, I get this printed out ..

complete: usage: complete [-abcdefgjksuv] [-pr] [-DE] [-o option] [-A action] [-G globpat] [-W wordlist]  [-F function] [-C command] [-X filterpat] [-P prefix] [-S suffix] [name ...]

Comment 1 Ville Skyttä 2010-06-28 15:15:22 UTC
I'll look into it, but meanwhile, do you have a particular reason for sourcing it in ~/.bashrc?  /etc/profile.d/bash_completion.sh should take care of sourcing it automatically when appropriate.

Comment 2 Dave Jones 2010-06-29 06:33:45 UTC
it was in my .bashrc since forever, long before we even had bash_completion packaged in fedora.  Taking it out does seem to still get me completions, and I don't see the warning, so this could be closed as a non-issue I guess.

Comment 3 Fedora Update System 2010-06-29 16:46:38 UTC
bash-completion-1.2-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bash-completion-1.2-2.fc13

Comment 4 Ville Skyttä 2010-06-29 16:48:43 UTC
I suppose it's annoying enough for people who hit it to warrant a build especially as the corresponding F-13 update is in testing, so fixed in 1.2-2.

Comment 5 Fedora Update System 2010-07-01 19:00:11 UTC
bash-completion-1.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.